# MS-Connector v1.3.8 Release vom 02.03.2023

Der MS-Connector implementiert eine Bridge zwischen dem österreichischen E-ID System und dem eIDAS Framework um ausländischen Benutzern eine Anmeldung am österreichischen Service-Providern zu ermöglichen.

### Änderungen in dieser Version

  - NameIdFormat für eIDAS Requests je Land konfigurierbar
  - Matching
        - Prüfung Personendaten (Vorname, Familienname) für ERnP Update erfolgt nun Case-Insensitiv
  - Bugfix
        - ERnP Update sendet vollständiges Personenelement anstatt eines Delta
        - Fehlerhaftes HTML Encoding bei Adresssuche behoben
        - CVE-2023-24998
  - Aktualisierung von Drittherstellerbibliotheken
      - SpringBoot 2.7.9
      - Spring-Framework 5.3.25
      - Apache CXF 3.5.5
      - joda-time 1.12.2
      - jackson 2.14.2
      - jose4j 0.9.2
      - woodstox-core 6.5.0
      - commons-fileupload 1.5.0


### Durchführen eines Updates 

Nachfolgend finden Sie die erforderlichen Schritte für das Update eines bestehenden MS-specific eIDAS Connectors auf die aktuelle Version 1.3.8. Das vollständige Handbuch mit allen Konfigurationsparametern finden Sie im Releasepackage im Verzeichnis: _infos/handbook/_

### Ausgehend von einer bestehenden Version 1.3.7 

1. Stoppen Sie die *MS-Connector* Applikation und fertigen Sie eine Sicherungskopie Ihrer Applikation inklusive Konfiguration an

2. Entpacken Sie das Releasepacket *ms_specific_connector-1.3.8-dist.zip* in ein temporäres Verzeichnis welches in weiterer Folge __MsConnectorPackage__ bezeichnet wird.

3. Kopieren sie die Applikation __MsConnectorPackage__/ms_connector.war nach in das Applikationsverzeichnis ihres Applikationsservers

4. Neue optionale Konfigurationsparameter

   - ```eidas.ms.auth.eIDAS.node_v2.requested.nameIdFormat.{countryCode}```

     



